const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var nickName = options.nickName;
    if(nickName == 'null'){
      nickName = ''
    }
    var userId = options.userId;
    this.setData({nickName,userId})
  },
  setNickName(e){
    this.setData({
      nickName:e.detail.value
    })
  },
  addLabel(){
    var that = this;
    var {nickName,userId} = that.data;
    app.requestP({
      url:'/user/editImageAndNickName',
      method:'post',
      contentType: ' application/json',
      data:{
        nickName,
        userId,
      }
    }).then(res=>{
      app.showToptip(that,'success',res.data.msg)
      wx.navigateBack({
        delta: 1,
      })
    }).catch(err=>{
      app.showToptip(that,'error',err.data.msg)
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})